/*********************/
/* Estilos generales */
/*********************/
* {
   font-family: Verdana, Geneva, sans-serif;
   font-size: 8pt;
}

#Contenedor {
   background-color: transparent;
   margin: 0 auto 0 auto;
   width: 980px;
}


span.toolTip {
   display: none;
   padding: 2px 2px 2px 2px;
   border: black solid 1px;
   position: absolute;
   background-color: #f1f1f1;
   color: #000000;
   border-color: #000000;
   z-index: 1000;
}

/* --- Formulario --- */
table.Formulario {
   width: 100%;
   border-collapse: collapse;
}
table.Formulario thead td {
   background-image: url("../images/app/rect.jpg");
   background-repeat: no-repeat;
   padding-left: 20px;
   border-bottom: 2px solid;
   font-weight: bold;
   height: 25px;
}
table.Formulario tbody:before {
   line-height: 15px;
   content: "-";
   color: white;
   display: block;
}
table.Formulario tbody td {
   height: 20px;
}
td.TituloCampo {
   width: 20%;
   text-align: left;
   padding: 2px 10px 0 0;
}
td.DatosCampo {
   width: 80%;
}
table.Formulario input, table.Formulario select, table.Formulario textarea {
   border: solid 1px #cacaca;
   color: #000000;
   background-color: transparent;
}
table.Formulario input.Activo, table.Formulario select.Activo, table.Formulario textarea.Activo {
   background-color: #ffffc2;
}
table.Formulario input.Disabled, table.Formulario select.Disabled, table.Formulario textarea.Disabled {
   background-color: #f0f0f0;
   color: #7c7c7c;
}
span.MsjError {
   color: #ff5400;
   display: inline ! important;
}

/* --- Botones --- */
a.Button, a.Button:visited, a.Button:hover {
   text-align: center;
   font-weight: bold;
   padding: 4px 8px 4px 8px;
   color: #ffffff;
   border: 1px solid #000000;
   background-color: #616161;
}
a.Button, a.Button:visited {
   text-decoration: none;
}
a.Button:hover {
   color: #ffff01;
}
a.Button_Disabled, a.Button_Disabled:hover {
   text-align: center;
   text-decoration: none;
   cursor: default;
   font-weight: bold;
   padding: 4px 8px 4px 8px;
   color: #cacaca;
   border: solid 1px  #cacaca;
   background-color: #ffffff;
}

/* --- Capas generales de diversos usos --- */
#DivBkg, .Dialog {
   display: none;
}

#DivBkg {
   left: 0px;
   top: 0px;
   z-index: 200;
   position: absolute;
   width: 100%;
   height: 100%;
   background-color: RGB(25, 25, 25);
}

.Dialog {
   background-image: url("../images/app/rect.jpg");
   background-repeat: repeat-y;
   left: 0;
   top: 0;
   z-index: 210;
   position: absolute;
   border: solid 1px #cacaca;
   background-color: #ffffff;
   overflow: hidden;
   height: auto;
   padding: 10px;
   box-shadow: 4px 4px 4px #555;
   -webkit-box-shadow: 4px 4px 4px #555;
   -moz-box-shadow: 4px 4px 4px #555;
   -o-box-shadow: 4px 4px 4px #555;
   -ms-box-shadow: 4px 4px 4px #555;
}
.Dialog span {
   display: inline-block;
   vertical-align: middle;
}
.Dialog img {
/*   width: 25px;
   height: 25px; */
/*   padding: 0 8px 0 0;*/
   padding-left: 10px;
}
.Dialog .Text {
   padding: 0 10px 10px 10px;
   border-bottom: solid 1px #000000;
}
.Dialog .Buttons {
   padding: 10px 0 0 0;
   text-align: right;
}
.Dialog .Accept, .Dialog .Accept:visited, .Dialog .Accept:hover {
   text-align: center;
   font-weight: bold;
   padding: 4px 8px 4px 8px;
   color: #ffffff;
   border: solid 1px  #000000;
   background-color: #616161;
}
.Dialog .Accept, .Dialog .Accept:visited { text-decoration: none;}
.Dialog .Accept:hover {
   color: #ffff01;
}
#DivClock span  {
   display: inline-block;
}
#DivClock .Text {
   text-align: center;
   border: 0px;
   padding: 0px ! important;
}


/**************************/
/* Entrada aplicación web */
/**************************/
#DivLogin {
   width: 500px;
   position: absolute;
}
#DivLogin span {display: block;}
#DivLogin .logo {
   text-align: center;
   padding-bottom: 50px;
}
#DivLogin .botonera {
   text-align: center;
   padding-top: 30px;
}


/********************/
/* Pagina principal */
/********************/
#DivMain {
   display: none;
   width: 100%;
}
#DivMain span {display: block; }
#DivMain .head {
   height: 80px;
   width: 100%;
   display: table;
   margin: 0 auto;
}
#DivMain .head div {
   display: table-cell;
   vertical-align: middle;
}
#DivMain .headMsg {
   width: 30%;
   height: 100%;
   text-align: center;
}
#DivMain .headMsg div {
   display: inline-block;
}



#DivMain .headAge {
   width: 40%;
}
#DivMain .headAge span {
   height: 30px;
   font-weight: bold;
   text-align: right;
}


/******************/
/* Menu principal */
/******************/

/*Para ponerlo todo plano sin margenes ni nada*/
.cssMenu,
.cssMenu ul,
.cssMenu li,
.cssMenu a {
   margin: 0;
   padding: 0;
   border: none;
   outline: none;
}

/*Fondo del menu*/
.cssMenu {
   height: 35px;
   width: 100%;

   background: #000000;
   background: -webkit-linear-gradient(#000000 0%, #616161 100%);
   background: -moz-linear-gradient(#000000 0%, #616161 100%);
   background: -o-linear-gradient(#000000 0%, #616161 100%);
   background: -ms-linear-gradient(#000000 0%, #616161 100%);
   background: linear-gradient(#000000 0%, #616161 100%);
}

/*Cada item de la lista principal*/
.cssMenu li {
   position: relative;
   list-style: none;
   float: left;
   display: block;
   height: 35px;
}

/*Cada enlace dentro de cada item de la lista principal*/
.cssMenu li a {
   display: block;
   padding: 0 14px;
   margin: 6px 0;
   line-height: 23px;
   text-decoration: none;
   text-transform: uppercase;
   font-size: 7.5pt;

   font-weight: bold;
   color: #ffffff;
   text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.6);

   -webkit-transition: color 0.2s ease-in-out;
   -moz-transition: color 0.2s ease-in-out;
   -o-transition: color 0.2s ease-in-out;
   -ms-transition: color 0.2s ease-in-out;
   transition: color 0.2s ease-in-out;
}

/*Cuando se pone el ratón encima de un enlace, cambia el color a blanco*/
.cssMenu li:hover > a {
   color: #ffff01;
}


/***********************/
/* Tabla efecto browse */
/***********************/
.EfectoSobreFila {
   background-color: #cacaca;
   cursor: pointer;
}
.EfectoClickFila {
   background-color: #7b7b7b;
   color:#ffffff ! important;
}
table.RegistrosTabla {
   width: 100%;
   border-collapse: collapse;
   margin-top: 10px;
}
table.RegistrosTabla td {
   height: 20px;
}
table.RegistrosTabla thead, table.RegistrosTabla tbody {
   border: 1px solid #000000 ! important;
}
table.RegistrosTabla thead td {
   background-color: #616161;
   color: #ffffff;
   font-weight: bold;
   text-align: center;
   text-transform: uppercase;
   font-size: 7.5pt;
}
table.RegistrosTabla tbody td {
   vertical-align: middle;
   padding-left: 2px;
}
#TdRegistrosTablaTitulo {
   background-color: transparent ! important;
   background-image: url("../images/app/rect.jpg");
   background-repeat: repeat-y;
   color: #000000 ! important;
   height: 40px ! important;
}
#DivRegistrosTablaTitulo span {
   display: inline-block;
   line-height: 20px;
}
#titleMant {
   width: 100%;
   text-align: left;
   padding-left: 15px;
}
table.TlbPaginacion {
   width: 100%;
   border: 0px;
}
table.TlbPaginacion tbody td {
   padding: 20px 0px 0px 0px;
   text-align: center;
}
span.PaginaActual {
   background-color: #ffff01 ! important;
   color: #000000 ! important;
}
table.TlbPaginacion span {
   color: #ffffff;
   background-color: #cacaca;
   padding: 3px 7px 3px 7px;
   margin-right: 5px;
   display: inline ! important;
}


/*****************************/
/* Mantenimiento de clientes */
/*****************************/
td.ColCliCod   {width: 50px; text-align: center;}
td.ColCliDir   {width: 170px;}
td.ColCliPob   {width: 150px;}
td.ColCliPro   {width: 80px;}
td.ColCliTel   {width: 90px; line-height: 20px;}
td.ColCliCon, td.ColCliDirs   {width: 20px; text-align: center;}




#DivDatCli, #DivDatCon, #DivFilterVis, #DivFilterDie, #DivDatDie, #DivDatMsg, #DivFilterPre, #DivEstPre, #DivFilterFac, #DivObsFac,
#DivFilterCli, #DivDatSeg, #DivFilterPet, #DivFilterPed, #DivFilterPar, #DivDatDir, #DivDatLinPed {
   width: 700px;
   padding: 0px;
   border: 1px solid #000000;
   background-image: none;
}
#DivDatCli span, #DivDatCon span, #DivDatVis span, #DivFilterVis span, #DivFilterDie span, #DivDatDie span,
#DivDatMsg span, #DivDatPet span, #DivDatPed span, #DivFilterPre span, #DivEstPre span, #DivFilterFac span,
#DivObsFac span, #DivFilterCli span, #DivDatSeg span, #DivDatPar span, #DivFilterPet span, #DivFilterPed span,
#DivFilterPar span, #DivDatDir span, #DivDatLinPed span, {display:block; }

#DivDatCli .Head, #DivDatCon .Head, #DivDatVis .Head, #DivFilterVis .Head, #DivFilterDie .Head, #DivDatDie .Head,
#DivDatMsg .Head, #DivDatPet .Head, #DivDatPed .Head, #DivFilterPre .Head, #DivEstPre .Head, #DivFilterFac .Head,
#DivObsFac .Head, #DivFilterCli .Head, #DivDatSeg .Head, #DivDatPar .Head, #DivFilterPet .Head, #DivFilterPed .Head,
#DivFilterPar .Head, #DivDatDir .Head, #DivDatLinPed .Head {
   background-image: url("../images/app/rect.jpg");
   background-repeat: repeat-y;
   background-color: #616161;
   color: #ffffff;
   text-align: left;
   padding-left: 15px;
   height: 30px;
   line-height: 30px; /*para centrarlo el texto verticalmente*/
   font-weight: bold;
   text-transform: uppercase;
   border-bottom: 1px solid #000000;
   margin: auto 0 auto 0;
}
#DivDatCli .Buttons, #DivDatCon .Buttons, #DivDatVis .Buttons, #DivFilterVis .Buttons, #DivFilterDie .Buttons, #DivDatDie .Buttons,
#DivDatMsg .Buttons, #DivDatPet .Buttons, #DivDatPed .Buttons, #DivFilterPre .Buttons, #DivEstPre .Buttons, #DivFilterFac .Buttons,
#DivObsFac .Buttons, #DivFilterCli .Buttons, #DivDatSeg .Buttons, #DivDatPar .Buttons, #DivFilterPet .Buttons, #DivFilterPed .Buttons,
#DivFilterPar .Buttons, #DivDatDir .Buttons, #DivDatLinPed .Buttons {
   padding: 0;
   text-align: center;
   height: 50px;
   line-height: 50px;
}
#TblDatCli, #TblDatCon, #TblDatVis, #TblFilterVis, #TblFilterDie, #TblDatDie, #TblDatMsg, #TblDatPet, #TblDatPed, #TblFilterPre,
#TblEstPre, #TblFilterFac, #TblObsFac, #TblFilterCli, #TblDatSeg, #TblDatPar, #TblFilterPet, #TblFilterPed, #TblFilterPar, #TblDatDir {width: 100%;}
#TblDatCli tr, #TblDatCon tr, #TblDatVis tr, #TblFilterVis tr, #TblFilterDie tr, #TblDatDie tr, #TblDatMsg tr,
#TblDatVis tr, #TblDatPet tr, #TblDatPed tr, #TblFilterPre tr, #TblEstPre tr, #TblFilterFac tr, #TblObsFac tr,
#TblFilterCli tr, #TblDatSeg tr, #TblDatPar tr, #TblFilterPet tr, #TblFilterPed tr, #TblFilterPar tr, #TblDatDir tr, #TblDatLinPed tr {height: 25px;}
#TblDatCli .TituloCampo, #TblDatCon .TituloCampo, #TblDatVis .TituloCampo, #TblDatDie .TituloCampo,
#TblDatMsg .TituloCampo, #TblDatSeg .TituloCampo, #TblDatPar .TituloCampo, #TblDatLinPed .TituloCampo {
   width: 15%;
   padding-left: 10px;
}
#leyendaColores {
   width: 100%;
   text-align: left;
   padding-left: 15px;
}

#DivFilterCli {width: 500px ! important;}
#TblFilterCli .TituloCampo {
   width: 20%;
   padding-left: 10px;
}


/******************************/
/* Mantenimiento de contactos */
/******************************/
td.ColConCar   {width: 200px;}
td.ColConTel   {width: 100px;}
td.ColConEma   {width: 250px;}
td.ColConEli   {width: 20px; text-align: center;}
td.ColConMod   {width: 20px; text-align: center;}

#titleNomCli {
   width: 100%;
   text-align: left;
   padding-left: 15px;
}
#titleNomCli:hover {
   color: #ffff01;
   text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.6);
}


/****************************/
/* Mantenimiento de visitas */
/****************************/
td.ColVisFec, td.ColVisFpr {width: 80px; text-align: center;}
td.ColVisHor {width: 40px; text-align: center;}
td.ColVisTip {width: 150px;}
td.ColVisObs {width: 300px; line-height: 20px;}
#intVis, #filVis {float: right;}
#enlInt, #enlFil {padding-top: 2px;}
#enlFil {padding-right: 5px;}

#DivDatVis {
   width: 800px;
   padding: 0px;
   border: 1px solid #000000;
   background-image: none;
}
#DivFilterVis {width: 500px ! important;}
#TblFilterVis .TituloCampo {
   width: 45%;
   padding-left: 10px;
}


/************************/
/* Búsqueda de clientes */
/************************/
#DivSearchCli, #DivSearchAgente {
   width: 600px;
   padding: 0px;
   border: 1px solid #000000;
   background-image: none;
}
#DivSearchCli span, #DivSearchAgente span {display:block; }
#DivSearchCli .Head, #DivCambioClave .Head, #DivSearchAgente .Head {
   background-image: url("../images/app/rect.jpg");
   background-repeat: repeat-y;
   background-color: #616161;
   color: #ffffff;
   text-align: left;
   padding-left: 15px;
   height: 30px;
   line-height: 30px; /*para centrarlo el texto verticalmente*/
   font-weight: bold;
   text-transform: uppercase;
   border-bottom: 1px solid #000000;
   margin: auto 0 auto 0;
}
#DivSearchCli .Buttons, #DivCambioClave .Buttons, #DivSearchAgente .Buttons {
   padding: 0;
   text-align: center;
   height: 50px;
   line-height: 50px;
}
#TblSearchCli .TituloCampo, #TblSearchAgentes .TituloCampo {
   padding-left: 10px;
   width: 10%;
}
#DivResultsHead {
   margin: 0 10px 0 10px;
}
#DivResults {
   margin: 0 10px 0 10px;
   height: 250px;
   overflow: auto;
   border: 1px solid #000000;
}
#TblResults {
   margin-top: 0px ! important;
}
#TblResults tbody {
   border: 0px ! important;
}
td.Col_Bus_Cod {width: 50px;}
#btnSearch {text-decoration: none;}

#btnSearch img, #btnNew img, #BuscarCliente img, #BuscarAgente img {border: 0px;}


/*******************/
/* Cambio de clave */
/*******************/
#DivCambioClave {
   width: 450px;
   padding: 0px;
   border: 1px solid #000000;
   background-image: none;
}
#DivCambioClave span {display:block; }
#TblCambioClave .TituloCampo {
   padding-left: 10px;
   width: 25%;
}


/*************/
/* Descargas */
/*************/
#DivDescargas {
   height: 400px;
   width: 100%;
   overflow: scroll;
}

#returnTitle {
   width: 100%;
   text-align: left;
   padding-left: 15px;
}
#returnTitle:hover {
   color: #ffff01;
   text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.6);
}



/************/
/* Dietario */
/************/
td.ColDieIni {width: 100px; text-align: center;}
td.ColDieFin {width: 100px; text-align: center;}
td.ColDieEli {width: 20px; text-align: center;}
td.ColDieMod {width: 20px; text-align: center;}

#currentDate {
   width: 100%;
   text-align: left;
   padding-left: 15px;
}
#DivFilterDie {width: 400px ! important;}
#TblFilterDie .TituloCampo {
   width: 20%;
   padding-left: 20px;
}

/************/
/* Mensajes */
/************/
td.ColMsgFec {width: 100px; text-align: center;}
td.ColMsgHor {width:  50px; text-align: center;}
td.ColMsgAge {width: 250px;}
td.ColMsgMar {width:  20px; text-align: center;}

/**************/
/* Peticiones */
/**************/
td.ColPetNum {width:  80px; text-align: center;}
td.ColPetFec {width:  80px; text-align: center;}
td.ColPetCli {width: 300px;}
td.ColPetEli, td.ColPetMod, td.ColPetUpl, td.ColPetDoc, td.ColPetPdf {width:  20px; text-align: center;}

#DivDatPet {
   width: 800px;
   padding: 0px;
   border: 1px solid #000000;
   background-image: none;
}
#TblDatPet .TituloCampo {
   padding-left: 10px;
   width: 20%;
}
#DivFilterPet {width: 500px ! important;}
#TblFilterPet .TituloCampo {
   width: 35%;
   padding-left: 10px;
}


/****************/
/* Upload files */
/****************/
#DivUploadFiles {
   width: 800px;
   padding: 0px;
   border: 1px solid #000000;
   background-image: none;
}
#DivUploadFiles span {display:block; }
#DivUploadFiles .Head {
   background-image: url("../images/app/rect.jpg");
   background-repeat: repeat-y;
   background-color: #616161;
   color: #ffffff;
   text-align: left;
   padding-left: 15px;
   height: 30px;
   line-height: 30px; /*para centrarlo el texto verticalmente*/
   font-weight: bold;
   text-transform: uppercase;
   border-bottom: 1px solid #000000;
   margin: auto 0 auto 0;
}
#DivUploadFiles .Body {
   overflow: hidden;
}
#DivUploadFiles .Buttons {
   padding: 0;
   text-align: center;
   height: 50px;
   line-height: 50px;
}
#iFrameUpload {
   border: 0;
   width: 100%;
}


/***********/
/* Pedidos */
/***********/
td.ColPedNum {width:  80px; text-align: center;}
td.ColPedFec {width:  80px; text-align: center;}
td.ColPedCli {width: 300px;}
td.ColPedUpl, td.ColPedEli, td.ColPedMod, td.ColPedLin, td.ColPedDoc {width:  20px; text-align: center;}

#filVis {float: right;}
#DivDatPed {
   width: 800px;
   padding: 0px;
   border: 1px solid #000000;
   background-image: none;
}
#TblDatPed .TituloCampo {
   padding-left: 10px;
   width: 20%;
}
#DivFilterPed {width: 500px ! important;}
#TblFilterPed .TituloCampo {
   width: 35%;
   padding-left: 10px;
}
#titleNumPed {
   width: 100%;
   text-align: left;
   padding-left: 15px;
}


/****************/
/* Presupuestos */
/****************/
td.ColPreNum {width:  70px; text-align: center;}
td.ColPreFec {width:  70px; text-align: center;}
td.ColPreEmp {width:  30px; text-align: center;}
td.ColPreCli {width: 250px;}
td.ColPreVal {width:  90px;}
td.ColPreTot {width:  90px; text-align: right;}
td.ColPreMod, td.ColPreDoc {width:  20px; text-align: center;}

#DivFilterPre {width: 400px ! important;}
#TblFilterPre .TituloCampo, #TblEstPre .TituloCampo {
   width: 35%;
   padding-left: 10px;
}
#DivEstPre {width: 300px ! important;}


/************/
/* Facturas */
/************/
td.ColFacNum {width:  70px; text-align: center;}
td.ColFacFec {width:  70px; text-align: center;}
td.ColFacEmp {width:  30px; text-align: center;}
td.ColFacTot {width:  90px; text-align: right;}
td.ColFacPte {width:  90px; text-align: right;}
td.ColFacMod, td.ColFacPdf {width:  20px; text-align: center;}

#DivFilterFac {width: 400px ! important;}
#TblFilterFac .TituloCampo {
   width: 35%;
   padding-left: 10px;
}
#TblObsFac .TituloCampo {
   width: 15%;
   vertical-align: top;
   padding-left: 10px;
}


/******************************/
/* Seguimiento de una factura */
/******************************/
td.ColSegFec {width:  70px; text-align: center;}
td.ColSegHor {width:  50px; text-align: center;}
td.ColSegUsu {width: 200px;}
td.ColSegMod {width:  20px; text-align: center;}
td.ColSegEli {width:  20px; text-align: center;}

#titleNumFac {
   width: 100%;
   text-align: left;
   padding-left: 15px;
}
#titleNumFac:hover {
   color: #ffff01;
   text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.6);
}

/**********/
/* Partes */
/**********/
td.ColParTip {width:  25px; text-align: center;}
td.ColParNum {width:  80px; text-align: center;}
td.ColParFec {width:  80px; text-align: center;}
td.ColParCli {width: 250px;}
td.ColParUpl, td.ColParMod, td.ColParEli, td.ColParDoc {width:  20px; text-align: center;}
#filPar {float: right;}

#DivDatPar {
   width: 800px;
   padding: 0px;
   border: 1px solid #000000;
   background-image: none;
}
#DivFilterPar {width: 500px ! important;}
#TblFilterPar .TituloCampo {
   width: 25%;
   padding-left: 10px;
}

/*********************/
/* Filtro por agente */
/*********************/
td.Col_FA_Agente {
   width: 150px;
   max-width: 150px;
   overflow: hidden;
   text-overflow: ellipsis;
   white-space: nowrap;
}

/********************************/
/* Mantenimiento de direcciones */
/********************************/
td.ColDirsDir   {width: 170px;}
td.ColDirsPob   {width: 150px;}
td.ColDirsPro   {width: 80px;}
td.ColDirsTel   {width: 90px; line-height: 20px;}
td.ColDirsEma   {width: 250px;}
td.ColDirsEli, td.ColDirsMod {width: 20px; text-align: center;}

#TblDatDir .TituloCampo {
   width: 25%;
   padding-left: 10px;
}

/*********************/
/* Líneas de pedidos */
/*********************/
td.ColLinPedCan, td.ColLinPedPre, td.ColLinPedDto {width: 120px; text-align: right; padding-right: 10px;}
td.ColLinPedEli, td.ColLinPedMod {width:  20px; text-align: center;}
#DivDatLinPed {
   width: 500px;
}